Problemas na instalação do Pop!_OS 20.04 LTS (NVIDIA)

Prezados , ao tentar realizar a instalação do Pop!_OS 20.04 LTS (NVIDIA) me deparei com a seguinte mensagem de erro apos selecionar para dar o boot pelo pen drive:

error: /casper/vmlinuz.efi has invalid signature
error: you need to load the kernel first

Obs: o secure boot já esta desabilitado , tanto tentando instalar por legacy ou por UEFI apresenta esta mensagem de erro e qualquer outra distro que tento instalar funciona normalmente, se poderem me ajudar por gentileza